Delete trail like by actor and trail
POST
/api/v1/trail-like/delete
const url = 'https://example.com/api/v1/trail-like/delete';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"actor":"example","trail":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/trail-like/delete \ --header 'Content-Type: application/json' \ --data '{ "actor": "example", "trail": "example" }'Deletes a trail like without needing to know its ID. Uses actor and trail IDs to find and delete
Request Body required
Section titled “Request Body required ” Media type application/json
object
actor
required
User ID (15 chars)
string
trail
required
Trail ID (15 chars)
string
Example generated
{ "actor": "example", "trail": "example"}Responses
Section titled “ Responses ”Trail like deleted
Bad Request
Not Found
Internal Server Error